﻿using MyWPFapp.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyWPFapp.Models
{
    public class UserCast
    {
        UserAuthData userAuthData;
        UserInfo userInfo;
        Roles roles = new Roles();

        //public string Name { get; set; }
        //public string Surname { get; set; }

        public UserCast()
        {
           userAuthData = new UserAuthData();
           roles = new Roles();
           userInfo = new UserInfo();
        }

        public UserCast(UserInfo userInfo)
        {
            this.userInfo = userInfo;
            UserAuthData = GlobalData.db.UserAuthData.FirstOrDefault(x => x.ID == userInfo.ID);
            Roles = GlobalData.db.Roles.FirstOrDefault(x=>x.ID == userInfo.IDRole);
        }


        public string Password {  set => UserAuthData.Password = value.GetHashCode(); }

        public UserAuthData UserAuthData { get => userAuthData;  set {  userAuthData = value; } }
        public UserInfo UserInfo { get { userInfo.ID = userAuthData.ID; return userInfo; } set { userInfo = value; } }
        public Roles Roles { get => roles; set { roles = value; } }

    }
}
