﻿using MyWPFapp.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MyWPFapp.Pages
{
    /// <summary>
    /// Логика взаимодействия для Auth.xaml
    /// </summary>
    public partial class Auth : Page
    {
        UserCast uc = new UserCast();

        public Auth()
        {
            InitializeComponent();
            DataContext = uc;
        }

        private void SighUp_Click(object sender, RoutedEventArgs e)
        {
            GlobalData.mainFrame.Navigate(new Registration());
        }

        private void LogIn_Click(object sender, RoutedEventArgs e)
        {

            List<UserInfo> userInfos = GlobalData.db.UserInfo.ToList();

            List<UserCast> list = new List<UserCast>();

            foreach (UserInfo item in userInfos)
            {
                UserCast cast = new UserCast(item);
                list.Add(cast);
            }

            if (list.Exists(x=> x.UserAuthData.Login == uc.UserAuthData.Login))
            {
                list = list.FindAll(x => x.UserAuthData.Login.Equals(uc.UserAuthData.Login));
                if (list.Exists(x => x.UserAuthData.Password.Equals(uc.UserAuthData.Password)))
                {
                    UserCast currentAccount = list.FirstOrDefault(x => x.UserAuthData.Password.Equals(uc.UserAuthData.Password));

                    MessageBox.Show("Hello, " + currentAccount.UserInfo.Name + " " + currentAccount.UserInfo.Surname);

                    GlobalData.mainFrame.Navigate(new PersonalCabinet(currentAccount));
                }
                else {  MessageBox.Show("Incorrect password");  }
            }
            else { MessageBox.Show("Account is not exists");  }

        }
    }
}
